Bug 841220 - [admin-portal] gray-out-luns: filter out direct lun disk from new\edit storage domain dialogue
[admin-portal] gray-out-luns: filter out direct lun disk from new\edit storag...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
unspecified Severity high
: ---
: 3.1.0
Assigned To: Ayal Baron
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 09:06 EDT by Haim
Modified: 2016-02-10 12:02 EST (History)
11 users (show)

See Also:
Fixed In Version: SI13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:07:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Haim 2012-07-18 09:06:36 EDT
Description of problem:

I was able to create direct lun disk and create storage domain out of this lun, then run the vm with attached disk, and create domain corruption (obviously).
we should filter out DL disks out of available luns when creating\editing new\existing storage domains.
Comment 1 Daniel Erez 2012-07-22 09:01:49 EDT
upstream commit 61f6a094c19ba04eac0d5752cde8085ec92b7a37
Comment 2 Haim 2012-07-29 10:32:44 EDT
verified on SI12 - lun is grayed out and cannot be used (also tool-tip kind enough to correlate between lun and disk).

Note You need to log in before you can comment on or make changes to this bug.